onEvent('recipes', event => {

let bii = 'extendedcrafting:black_iron_ingot'
let bis = 'extendedcrafting:black_iron_slate'
let gls = '#forge:glass'

event.remove({ output: 'extendedcrafting:frame' })
event.recipes.createSequencedAssembly([ // output
 Item.of('extendedcrafting:frame')
], bii, [ // input. 

 event.recipes.createDeploying(bii, [bii, bii]), 
 event.recipes.createDeploying(bis, [bis, bis]),  
 event.recipes.createDeploying(gls, [gls, gls]) 
]).transitionalItem('create:incomplete_precision_mechanism').loops(2) // 
	







});


	

